users_notification_settings_partial_update
const url = 'https://example.com/api/users/notification-settings';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"email_submission_enabled":true,"email_workspace_added_enabled":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/users/notification-settings \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "email_submission_enabled": true, "email_workspace_added_enabled": true }'Handle user notification settings views.
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Serializer for UserNotificationSettings model.
object
Enable email notifications for submission events
Enable email notifications when added to a new workspace
Return the default values for notification settings.
Parameters
obj : UserNotificationSettings The notification settings instance (not used, but required by SerializerMethodField).
Returns
dict A dictionary containing the default values for all notification settings.
object
Example generated
{ "email_submission_enabled": true, "email_workspace_added_enabled": true}Serializer for UserNotificationSettings model.
object
Enable email notifications for submission events
Enable email notifications when added to a new workspace
Return the default values for notification settings.
Parameters
obj : UserNotificationSettings The notification settings instance (not used, but required by SerializerMethodField).
Returns
dict A dictionary containing the default values for all notification settings.
object
Example generated
email_submission_enabled=true&email_workspace_added_enabled=trueSerializer for UserNotificationSettings model.
object
Enable email notifications for submission events
Enable email notifications when added to a new workspace
Return the default values for notification settings.
Parameters
obj : UserNotificationSettings The notification settings instance (not used, but required by SerializerMethodField).
Returns
dict A dictionary containing the default values for all notification settings.
object
Responses
Section titled “Responses”Serializer for UserNotificationSettings model.
object
Enable email notifications for submission events
Enable email notifications when added to a new workspace
Return the default values for notification settings.
Parameters
obj : UserNotificationSettings The notification settings instance (not used, but required by SerializerMethodField).
Returns
dict A dictionary containing the default values for all notification settings.
object
Example generated
{ "email_submission_enabled": true, "email_workspace_added_enabled": true}
